# InlineQueryResultAudioCachedImpl - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult / InlineQueryResultAudioCachedImpl

# InlineQueryResultAudioCachedImpl

(common) `data class InlineQueryResultAudioCachedImpl : InlineQueryResultAudioCached` (source)

### Constructors

(common)

#### <init>

`InlineQueryResultAudioCachedImpl(id: String, fileId: FileId, caption: String? = null, parseMode: ParseMode? = null, replyMarkup: InlineKeyboardMarkup? = null, inputMessageContent: InputMessageContent? = null)`

### Properties

(common)

#### caption

`val caption: String?`

(common)

#### fileId

`val fileId: FileId`

(common)

#### id

`val id: String`

(common)

#### inputMessageContent

`val inputMessageContent: InputMessageContent?`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### type

`val type: String`